DefaultObjectSender

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.client
Class DefaultObjectSender

    java.lang.Object
      org.openswing.swing.util.client.ObjectSender
          org.openswing.swing.util.client.DefaultObjectSender

public class DefaultObjectSender
extends ObjectSender

Title: OpenSwing Framework

Description: Help class used to comunicate with the the server-side layer, via HTTP. it provides a utility method to create an ObjectOutputStream to send serialized object and retrieve the response through an ObjectInputStream.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`DefaultObjectSender()`

Method Summary
`Response` | `sendRequest(java.net.URLConnection connection, Command objectToSend)` Send a serialized object through the provided connection

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultObjectSender

    public DefaultObjectSender()

Method Detail

### sendRequest

    public final Response sendRequest(java.net.URLConnection connection,
                                      Command objectToSend)
                               throws java.lang.Throwable

  Send a serialized object through the provided connection

  Specified by:
    `sendRequest` in class `ObjectSender`
  Parameters:
    `connection` - URLConnection used to create an ObjectOutputStream to use to send the specified object and an ObjectInputStream to retrieve the response
    `objectToSend` - serialized object to send
  Returns:
    response object
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD